%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   pyasn1
%define modv   0.1.9


Summary:       ASN.1 types and codecs for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/p/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ilya Etingof <ilya@glas.net>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.codec) = %{modv}
Provides:      python(%{modn}.codec.ber) = %{modv}
Provides:      python(%{modn}.codec.cer) = %{modv}
Provides:      python(%{modn}.codec.der) = %{modv}
Provides:      python(%{modn}.compat) = %{modv}
Provides:      python(%{modn}.type) = %{modv}
BuildRequires: python2-devel >= 2.4 python-setuptools
BuildRequires: python-unittest2
BuildArch:     noarch


%description
Pyasn1 is an implementation of ASN.1 types and codecs in Python. It has
been first written to support a particular protocol (SNMP) but then was
generalized to be suitable for a wide range of protocols based on the
ASN.1 specification.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc {CHANGES,LICENSE,README,THANKS,TODO}.txt
%doc doc
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Mon Nov 16 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.9-1
- New version (0.1.9)

* Tue Jan 13 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.7-1
- Initial build
